public class Car implements Informing, Accelerating {
    
    private String label;
    private int wheels;
    private double speed;
    
    public Car(String label, int wheels) {
        this.label = label;
        this.wheels = wheels;
    }

    public void writeInfo() {
        System.out.println("Car "+label+" has "+wheels+" wheels");
    }

    public void move() {
        System.out.println("Car "+label+" is moving");
    }
    
    public void accelerate(double speedIncrease) {
        speed += speedIncrease;
    }
}
